Name:    liblscp
Version: 0.9.4
Release: 1%{?dist}
Group:   System/Libraries
Summary: LinuxSampler control protocol API library.

License: LGPL
URL:     http://linuxsampler.org
Source0: https://download.linuxsampler.org/packages/%{name}-%{version}.tar.gz

BuildRequires: gcc doxygen
Provides: %{name} = %{version}

%description
This package is for use with the LinuxSampler audio sampling
engine. It wraps the LinuxSampler network protocol and
offers a convenient API in form of a C library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files needed for
development with liblscp. You will need this only if you
intend to compile programs that use this library.

%prep
%autosetup
%build
%configure --disable-static --prefix=%{_prefix}
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/pkgconfig/lscp.pc
%{_libdir}/liblscp.so
%{_libdir}/liblscp.so.6
%{_libdir}/liblscp.so.6.0.4

%files devel
%{_includedir}/lscp/client.h
%{_includedir}/lscp/device.h
%{_includedir}/lscp/event.h
%{_includedir}/lscp/socket.h
%{_includedir}/lscp/thread.h
%{_includedir}/lscp/version.h

%changelog
* Sun Dec  5 2021 Klaatu <klaatu@fedoraproject.org>
- Packaged.
